Bug 148878 - CAN-2005-0207 nfs client O_DIRECT oops
CAN-2005-0207 nfs client O_DIRECT oops
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
public=20050104,impact=important
: Security
Depends On:
Blocks: 147461
  Show dependency treegraph
 
Reported: 2005-02-16 10:45 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:52:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-02-16 10:45:37 EST
Bill Rugolsky mailed Alan Cox about a trivial unprivileged local DoS.
 Linus merged this upstream with a sanitised description.

http://linux.bkbits.net:8080/linux-2.6/cset@41db2d65wbgJvuXTv4x9_quExW0vEA

This is also included in patch-2.6.10-ac8 but does not seem to appear
in RHEL4 GA or 0Day kernels.
Comment 1 Kiersten (Kerri) Anderson 2005-03-02 18:00:12 EST
Patch has been submitted to rhkernel-list:

http://post-office.corp.redhat.com/archives/rhkernel-list/2005-February/msg01179.html
Comment 2 Josh Bressers 2005-04-19 13:41:32 EDT
Lifting embargo
Comment 3 Josh Bressers 2005-04-19 14:52:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-366.html

Note You need to log in before you can comment on or make changes to this bug.